Package com.avaya.clientservices.provider.http

## Class HTTPClientConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.http.HTTPClientConfiguration

-     public class HTTPClientConfiguration
      extends java.lang.Object

  Configuration data that is common for a HTTP Client.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTTPClientConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFastResponseTimeout()` | Get the length of time to wait for a server response on every single network transaction.
    `int` | `getLocalVideoResponseTimeout()` | Get the local video response timeout (in seconds).
    `int` | `getResponseTimeout()` | Get the response timeout (in seconds).
    `boolean` | `isSelectCodecBasedOnCallerPreferences()` | Is the codec selection on the answerer side done based on the codec preferences of the calling UA or the answering UA?
    `void` | `setFastResponseTimeout​(int fastResponseTimeout)` | Set the length of time to wait for a server response on every single network transaction.
    `void` | `setLocalVideoResponseTimeout​(int localVideoResponseTimeout)` | Set the local video response timeout (in seconds).
    `void` | `setResponseTimeout​(int responseTimeout)` | Set the response timeout (in seconds).
    `void` | `setSelectCodecBasedOnCallerPreferences​(boolean selectCodecBasedOnCallerPreferences)` | Set whether the codec selection on the answerer side done based on the codec preferences of the calling UA or the answering UA.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPClientConfiguration

          public HTTPClientConfiguration()

  - ### Method Detail

    - #### getLocalVideoResponseTimeout

          public int getLocalVideoResponseTimeout()

      Get the local video response timeout (in seconds).

      This is the time waited for a local response to the incoming video request before automatically denying the request.

      The default is 30.

      Returns:
        The local video response timeout in seconds.

    - #### setLocalVideoResponseTimeout

          public void setLocalVideoResponseTimeout​(int localVideoResponseTimeout)

      Set the local video response timeout (in seconds).
      Parameters:
        `localVideoResponseTimeout` - The new local video response timeout in seconds to use.

    - #### getResponseTimeout

          public int getResponseTimeout()

      Get the response timeout (in seconds).

      This is the time waited for a final server response on every outgoing call transaction.

      The default is 33.

      Returns:
        The local video response timeout in seconds.

    - #### setResponseTimeout

          public void setResponseTimeout​(int responseTimeout)

      Set the response timeout (in seconds).
      Parameters:
        `responseTimeout` - The new response timeout in seconds to use.

    - #### getFastResponseTimeout

          public int getFastResponseTimeout()

      Get the length of time to wait for a server response on every single network transaction.

      The default is 30.

      Returns:
        The fast response timeout.

    - #### setFastResponseTimeout

          public void setFastResponseTimeout​(int fastResponseTimeout)

      Set the length of time to wait for a server response on every single network transaction.
      Parameters:
        `fastResponseTimeout` - Set the new fast response timeout.

    - #### isSelectCodecBasedOnCallerPreferences

          public boolean isSelectCodecBasedOnCallerPreferences()

      Is the codec selection on the answerer side done based on the codec preferences of the calling UA or the answering UA?

      The default is `true`, meaning the common codec is selected based on the preferences of the calling UA.

      Returns:
        `true` if the common codec is selected based on the calling UA's preferences, `false` if it is selected based on the answering UA's preferences.

    - #### setSelectCodecBasedOnCallerPreferences

          public void setSelectCodecBasedOnCallerPreferences​(boolean selectCodecBasedOnCallerPreferences)

      Set whether the codec selection on the answerer side done based on the codec preferences of the calling UA or the answering UA.
      Parameters:
        `selectCodecBasedOnCallerPreferences` - If `true`, the common codec is selected based on the calling UA's preferences. If `false`, it is selected based on the answering UA's preferences.